@extends('layouts.authentication.master')
@section('title', 'Login')

@section('css')
@endsection

@section('style')
@endsection

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-xl-5"><img class="bg-img-cover bg-center" src="{{asset('assets/images/login/2.jpg')}}" alt="looginpage"></div>
        <div class="col-xl-7 p-0">
            <div class="login-card">
                <div>
                    <div></div>
                    <div class="login-main login_form">
                        <form method="post" id="sign_in_form" action="{{ route('auth.login') }}" method="post">
                            @csrf
                            <h4>Login</h4>
                            <p>Enter your email & password to login</p>
                            @if ($errors->has('error'))
                            <div class="alert alert-danger dark alert-dismissible fade show">
                                <i class="icon-alert"></i>
                                <b>{{ $errors->first('error') }}</b>
                                <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
                            </div>
                            @endif
                            @if ($errors->has('reset_msg'))
                            <div class="alert alert-success dark alert-dismissible fade show">
                                <i class="icon-thumb-up"></i>
                                <b>{{ $errors->first('reset_msg') }}</b>
                                <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
                            </div>
                            @endif

                            <div class="form-group">
                                <label class="col-form-label">Email Address</label>
                                <input class="form-control" type="email" required="" name="email" placeholder="Test@gmail.com">
                                <input type="hidden" name="type" value="2">
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Password</label>
                                <input class="form-control" type="password" name="password" required="" placeholder="*********">
                                <!-- <div class="show-hide"><span class="show">                         </span></div> -->
                            </div>
                            <div class="form-group mb-0">
                                <div class="checkbox p-0">
                                    <input id="checkbox1" type="checkbox" name="remember">
                                    <label class="text-muted" for="checkbox1">Remember password</label>
                                </div>
                                <button class="btn btn-primary btn-block w-100" type="submit">Sign in</button>
                                <a href="#" onclick="forgot_pass('forgot')">Forgot Password?</a>
                            </div>
                            <p class="mt-4 mb-0">Don't have an account?<a class="ms-2" href="#" onclick="show_reg()">Create Account</a></p>
                        </form>
                        <form style="display: none;" method="post" id="reset_form"
                            action="{{ route('client.reset.pass') }}"
                            method="post">
                            @csrf
                            <h4>Reset Password</h4>
                            <p>Enter your email</p>
                            <div class="form-group">
                                <input class="form-control" type="email" required="" name="email" placeholder="Test@gmail.com">
                                <input type="hidden" name="type" value="2">
                            </div>
                            <div class="form-group mb-0">
                                <button class="btn btn-primary btn-block w-100 mt-3" type="submit">Reset</button>
                                <a href="#" onclick="forgot_pass('sign_in')">Sign In!</a>
                            </div>
                        </form>
                    </div>
                    <div class="login-main reg_form" style="width:48vw;display:none">
                        <form method="post" action="{{ route('registration') }}" method="post">
                            @csrf
                            <h4>Create your account</h4>
                            <p>Enter your personal details to create account</p>
                            @if ($errors->has('error'))
                            <div class="alert alert-danger dark alert-dismissible fade show">
                                <i class="icon-alert"></i>
                                <b>{{ $errors->first('error') }}</b>
                                <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
                            </div>
                            @endif
                            @if ($errors->has('reg_msg'))
                            <div class="alert alert-success dark alert-dismissible fade show">
                                <i class="icon-thumb-up"></i>
                                <b>{{ $errors->first('reg_msg') }}</b>
                            </div>
                            @endif
                            <div class="form-group">
                                <label class="col-form-label pt-0">Your Name<span class="text-danger">*</span></label>
                                <div class="row g-2">
                                    <div class="col-6">
                                        <input class="form-control" type="text" required="" name="fname" placeholder="First name">
                                    </div>
                                    <div class="col-6">
                                        <input class="form-control" type="text" required="" name="lname" placeholder="Last name">
                                    </div>
                                </div>
                            </div>
                            <div class="row g-2">
                                <div class="col-6 ">
                                    <div class="form-group">
                                        <label class="col-form-label">Email Address<span class="text-danger">*</span></label>
                                        <input class="form-control" type="email" required="" name="email" placeholder="Test@gmail.com">
                                    </div>
                                </div>
                                <div class="col-6 ">
                                    <div class="form-group">
                                        <label class="col-form-label">Phone Number<span class="text-danger">*</span></label>
                                        <input class="form-control" type="text" required="" name="pnumber" placeholder="+92XXXXXXXXXX">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-form-label">Address</label>
                                <input class="form-control" type="text" name="address">
                                <input type="hidden" name="type" value="2">
                            </div>
                            <div class="form-group mb-0 mt-3">
                                <div class="checkbox p-0">
                                    <input id="terms_condition" type="checkbox">
                                    <label class="text-muted" for="terms_condition">Agree with<a class="ms-2" href="#">Privacy Policy</a></label>
                                </div>
                                <button class="btn btn-primary btn-block registration_btn w-100" type="submit" disabled>Sign Up</button>
                            </div>
                            <p class="mt-4 mb-0">Already have an account?<a class="ms-2" href="#" onclick="show_login()">Login</a></p>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script>
    function show_login() {
        $('.login-main').hide();
        $('.login_form').show();
    }

    function forgot_pass(obj) {
        if (obj == 'forgot') {
            $('#reset_form').show();
            $('#sign_in_form').hide();
        } else {
            $('#reset_form').hide();
            $('#sign_in_form').show();
        }
    }

    function show_reg() {
        $('.login_form').hide();
        $('.reg_form').show();
    }
    $('#terms_condition').click(function() {
        if ($(this).is(':checked')) {
            $('.registration_btn').removeAttr('disabled');
        } else {
            $('.registration_btn').attr('disabled', 'disabled');
        }
    })
    <?php if ($errors->has('reg_msg')) { ?>
        show_reg()
    <?php } ?>
</script>
@endsection