@extends('layouts.authentication.master')
@section('title', 'Login')

@section('css')
@endsection
@section('style')
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-xl-5"><img class="bg-img-cover bg-center" src="{{asset('assets/images/login/2.jpg')}}" alt="looginpage"></div>
      <div class="col-xl-7 p-0">
         <div class="login-card">
            <div>
               <div class="login-main">
                  <form id="sign_in_form" method="post" action="{{ route('auth.login') }}" method="post">
                     @csrf
                     <h4>Sign in to account</h4>
                     <p>Enter your email & password to login</p>
                     @if ($errors->has('error'))
                     <div class="alert alert-danger dark alert-dismissible fade show">
                        <i class="icon-alert"></i>
                        <b>{{ $errors->first('error') }}</b>
                        <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
                     </div>
                     @endif
                      @if ($errors->has('reset_msg'))
                     <div class="alert alert-success dark alert-dismissible fade show">
                        <i class="icon-thumb-up"></i>
                        <b>{{ $errors->first('reset_msg') }}</b>
                        <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
                     </div>
                     @endif

                     <div class="form-group">
                        <label class="col-form-label">Email Address</label>
                        <input class="form-control" type="email" required="" name="email" placeholder="Test@gmail.com">
                        @if(strtolower(Request::segment(1)) == 'staff' )
                        <input type="hidden" name="type" value="3">
                        @else
                        <input type="hidden" name="type" value="1">
                        @endif
                     </div>
                     <div class="form-group">
                        <label class="col-form-label">Password</label>
                        <input class="form-control" type="password" name="password" required="" placeholder="*********">
                     </div>
                     <div class="form-group mb-0">
                        <div class="checkbox p-0">
                           <input id="checkbox1" type="checkbox" name="remember" style="border-color:grey ;">
                           <label class="text-muted" for="checkbox1">Remember password</label>
                        </div>
                        <button class="btn btn-primary btn-block w-100" type="submit">Sign in</button>
                        <a href="#" onclick="forgot_pass('forgot')">Forgot Password?</a>
                     </div>
                  </form>
                  <form id="reset_form" style="display: none;" method="post"
                     @if(strtolower(Request::segment(1))=='staff' )
                     action="{{ route('staff.reset.pass') }}"
                     @else
                     action="{{ route('admin.reset.pass') }}"
                     @endif
                     method="post">
                     @csrf
                     <h4>Reset Password</h4>
                     <p>Enter your email</p>
                     <div class="form-group">
                        <input class="form-control" type="email" required="" name="email" placeholder="Test@gmail.com">
                        @if(strtolower(Request::segment(1)) == 'staff' )
                        <input type="hidden" name="type" value="3">
                        @else
                        <input type="hidden" name="type" value="1">
                        @endif
                     </div>
                     <div class="form-group mb-0">
                        <button class="btn btn-primary btn-block w-100 mt-3" type="submit">Reset</button>
                        <a href="#" onclick="forgot_pass('sign_in')">Sign In!</a>
                     </div>
                  </form>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection
@section('script')
<script>
   function forgot_pass(obj) {
      if (obj == 'forgot') {
         $('#reset_form').show();
         $('#sign_in_form').hide();
      } else {
         $('#reset_form').hide();
         $('#sign_in_form').show();
      }
   }
</script>
@endsection