@if (empty($registration) && empty($reset))
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Your OTP Code</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f9;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 100%;
            background-color: aliceblue;
            padding: 20px;
            border-radius: 10px;
        }

        h1 {
            color: #333;
            font-size: 24px;
            font-weight: 700;
        }

        .otp {
            background-color: #7366ff;
            color: white;
            font-size: 28px;
            font-weight: 700;
            padding: 15px;
            width: fit-content;
            border-radius: 9px;
        }

        p {
            font-size: 16px;
            color: #555;
        }

        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #aaa;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Your OTP Code is:</h1>
        <div class="otp">{{ $otp }}</div>
        <p>Please use this code for verification. Do not share your credentials or OTP with anyone.</p>
        <div class="footer">
            &copy; 2024 Forex Trading. All rights reserved.
        </div>
    </div>
</body>

</html>
@elseif(empty($registration) && !empty($reset))
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Reset Password</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f9;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 100%;
            background-color: aliceblue;
            padding: 20px;
            border-radius: 10px;
        }

        h1 {
            color: #333;
            font-size: 24px;
            font-weight: 700;
        }

        .otp {
            background-color: #7366ff;
            color: white;
            font-size: 28px;
            font-weight: 700;
            padding: 15px;
            width: fit-content;
            border-radius: 9px;
        }

        p {
            font-size: 16px;
            color: #555;
        }

        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #aaa;
        }
        .button {
            background-color: #7366ff;
            color: white !important;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            font-size: 16px;
            text-decoration: none;
            display: inline-block;
        }

        .highlight a {
            color: black !important;
            text-decoration: none;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Reset Password</h1>
        <p>Click on the button below to reset your password.</p>
        <div>
            <a
            @if ($reset == 2)
            href="{{url('/clients/reset_password?typeohype='.$reset.'&email='.$email)}}"
            @elseif($reset == 3)
            href="{{url('/staff/reset_password?typeohype='.$reset.'&email='.$email)}}"
            @else
            href="{{url('/reset_password?typeohype='.$reset.'&email='.$email)}}"
            @endif 
             class="button">Click me!</a>
        </div>
        <div class="footer">
            &copy; 2024 Forex Trading. All rights reserved.
        </div>
    </div>
</body>

</html>
@else
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Welcome to Forex Trading</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f9;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 100%;
            background-color: aliceblue;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            font-size: 24px;
            font-weight: 700;
            margin-bottom: 10px;
        }

        .highlight {
            background-color: white;
            color: black !important;
            padding: 5px 10px;
            border-radius: 5px;
            font-weight: 700;
        }

        p {
            font-size: 16px;
            color: #555;
        }

        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #aaa;
            text-align: center;
        }

        .button {
            background-color: #7366ff;
            color: white !important;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            font-size: 16px;
            text-decoration: none;
            display: inline-block;
        }

        .highlight a {
            color: black !important;
            text-decoration: none;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Welcome to Forex Trading, {{ $credentials['username'] }}!</h1>
        <p>We are thrilled to have you on board. Your account has been successfully created. Here are your credentials:</p>
        <p><strong>Email:</strong> <span class="highlight">{{ $credentials['email'] }}</span></p>
        <p><strong>Password:</strong> <span class="highlight">{{ $credentials['password'] }}</span></p>
        <p>To complete your registration, please confirm your email address and use these credentials for login:</p>
        @if (isset($credentials['type']) && $credentials['type'] == 3)
        <a href="{{ url('/staff/login') }}" class="button">Login</a>
        @else
        <a href="{{ route('client_login') }}" class="button">Login</a>
        @endif
        <p>If you did not create this account, please ignore this email.</p>
        <div class="footer">
            &copy; 2024 Forex Trading. All rights reserved.
        </div>
    </div>
</body>

</html>
@endif