@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
@endsection

@section('breadcrumb-title')
<h3>Payment Gateways</h3>
@endsection

@section('breadcrumb-items')
<li class="breadcrumb-item">Payment Gateways</li>
@endsection

@section('content')
<style>
    .eye_icon_st {
        top: -6%;
        position: absolute;
        right: -1%;
        height: 2vw;
        width: 8%;
        padding: 1.8%;
        border: 2px solid #ced4da;
        border-radius: 50%;
        background-color: #d7d7d7;
    }

    .eye_icon_st:hover {
        background-color: #6e6868;
        color: white;
    }

    @media only screen and (max-width : 600px) {
        .eye_icon_st {
            height: 6vw !important;
        }
    }
</style>
@php
$payment_gateways = null;
@endphp
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12 col-12">
            <div class="card">
                <div class="card-header card-no-border">
                    <div class="header-top">
                        @if (strtolower(Request::segment(1)) === 'deposit_payment_gateways')
                        @php
                        $payment_gateways = $deposit_payment_gateways;
                        @endphp
                        <h5>Deposit Payment Gateways</h5>
                        @else
                        @php
                        $payment_gateways = $withdraw_payment_gateways;
                        @endphp
                        <h5>Withdraw Payment Gateways</h5>
                        @endif
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        @if (!empty($payment_gateways))
                        @foreach ($payment_gateways as $payment_gateway)
                        @if($payment_gateway->entity_title == 'Payoneer')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/payoneer.png')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif


                        @if($payment_gateway->entity_title == 'Payeer')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                            eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/trans1.jpg')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif

                        @if($payment_gateway->entity_title == 'Perfect Money')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/perfectmoney.png')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif


                        @if($payment_gateway->entity_title == 'Skrill')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/skrill.png')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif


                        @if($payment_gateway->entity_title == 'Neteller')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            @endif
                            fa-eye
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/neteller.png')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif


                        @if($payment_gateway->entity_title == 'Card')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/credit-card.jfif')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif


                        @if($payment_gateway->entity_title == 'Crypto')
                        <div class="col-md-4 m-b-20 col-12">
                            <i class="fa 
                            @if($payment_gateway->entity_description == 1)
                            fa-eye-slash
                            @else
                            fa-eye
                            @endif
                             eye_icon_st" onclick="hide_payment_agent(this,'{{$payment_gateway->id}}')"></i>
                            <img src="{{ asset('assets/crypto-payments.png')}}" alt="" style="border: 2px solid #ced4da !important;width: 100%;border-radius: 10px;height: 85%;">
                        </div>
                        @endif
                        @endforeach
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    var session_layout = '{{ session()->get('
    layout ') }}';
</script>
@endsection

@section('script')
<script>
    function hide_payment_agent(obj, id) {
        if ($(obj).hasClass('fa-eye')) {
            $(obj).removeClass('fa-eye')
            $(obj).addClass('fa-eye-slash')
            $.ajax({
                url: "{{ route('update.entity') }}",
                type: 'GET',
                data: {
                    'entity_id': id,
                    'entity_description': '1',
                },
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    console.log(response);
                }
            });
        } else {
            $(obj).removeClass('fa-eye-slash')
            $(obj).addClass('fa-eye')

            $.ajax({
                url: "{{ route('update.entity') }}",
                type: 'GET',
                data: {
                    entity_id: id,
                    entity_description: null,
                },
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {}
            });
        }
    }
</script>
@endsection