@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
@endsection

@section('breadcrumb-title')
<!-- <h3>Payment Agents</h3> -->
@endsection

@section('breadcrumb-items')
<li class="breadcrumb-item">Payment Agents</li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            @if ($errors->has('email'))
            <div class="alert alert-danger dark alert-dismissible fade show">
                <i class="icon-alert"></i>
                <b>{{ $errors->first('email') }}</b>
                <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            @endif
            <div class="card height-equal">
                <div class="card-header card-no-border">
                    <div class="header-top">
                        <h4>Payment Agents</h4>
                        @if (strtolower(Request::segment(1)) !== 'client')
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#createPaymentAgent"><span class="fa fa-plus"></span></button>
                        @else
                        <select id="depost_withdraw" class="form-control" onchange="show_withdraw_btn(this)" style="width:10%">
                            <option value="1">Deposit</option>
                            <option value="2"
                                @if (request('request_id')==2)
                                selected
                                @endif>Withdraw</option>
                        </select>
                        @endif
                    </div>
                </div>
                <div class="card-body p-t-0">
                    <div class="row">
                        @if (strtolower(Request::segment(1)) === 'client')
                        <p class="font-danger"><b>Disclaimer:</b> We are not responsible for any issues that may arise. Use payment agent services at your own risk.</pcl>
                            @endif
                            @if ((!empty($data)))
                            @foreach ($data as $row)
                            @if (strtolower(Request::segment(1)) === 'client')
                            @if(!empty($row->active))
                            @continue
                            @endif
                            @endif
                        <div class="col-md-6">
                            <div class="card shadow-lg">
                                <div class="card-body pl-3">
                                    <div class="row">
                                        <div class="col-md-5 col-12 m-b-10" style="text-align:center">
                                            <div class="avatars height_width_max">
                                                <div class="avatar height_width_max">
                                                    <img
                                                        @if (!empty($row->image))
                                                    src="{{ asset('public/storage/uploads/'.$row->image) }}"
                                                    @else
                                                    src="{{ asset('assets/dummy_person.jpg') }}"
                                                    @endif
                                                    alt="" class="rounded-circle height_width_max">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-7 col-12">
                                            <div class="row">
                                                <div class="col-md-8 col-8 p-l-20">
                                                    <span class="fa fa-star txt-warning "></span>
                                                    <span class="fa fa-star txt-warning "></span>
                                                    <span class="fa fa-star txt-warning "></span>
                                                    <span class="fa fa-star txt-warning "></span>
                                                    <span class="m-l-10"><b>{{$row->rating}}</b></span>
                                                </div>
                                                @if (strtolower(Request::segment(1)) !== 'client')
                                                <div class="col-md-4 col-4 dropdown-basic" style="top: -10px;left: 10px;">
                                                    <button type="button"
                                                        @if(empty($row->active))
                                                        data-show_active="2"
                                                        @else
                                                        data-show_active="1"
                                                        @endif
                                                        class="btn btn-light p-0 border-1 b-primary" style="border-radius: 50%;height: 32px;width: 33px;" onclick="hide_payment_agent(this);active_row(this,'{{$row->id}}')"><span
                                                            @if(empty($row->active))
                                                            class="fa fa-eye"
                                                            @else
                                                            class="fa fa-eye-slash"
                                                            @endif
                                                            ></span></button>
                                                    <div class="dropdown">
                                                        <button type="button" class="btn btn-primary p-0 dropbtn" style="border-radius: 50%;height: 32px;width: 33px;"><span class="fa fa-gear"></span></button>
                                                        <div class="dropdown-content" style="top:30px !important;left: -85px !important;min-width: 115px !important;max-width: 115px !important;">
                                                            <a href="#" class="btn-light custom_dropdown_btn" data-bs-toggle="modal" data-bs-target="#editPaymentAgent_{{$row->id}}" style="width: 115px;" data-bs-original-title="" title=""><span class="fa fa-edit m-r-10"></span>Edit</a>
                                                            <a href="#" onclick="delete_row('{{$row->id}}')" class="btn-light custom_dropdown_btn" style="width: 115px;" data-bs-original-title="" title=""><span class="fa fa-trash m-r-10"></span>Delete</a>
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                                <div class="col-md-12 col-12 m-l-10 mb-2">
                                                    <h4>{{$row->fname ." " .$row->lname}}</h4>
                                                </div>
                                                <div class="col-md-12 col-12 m-l-10 mb-2 "><span class="f-18 fa fa-facebook-square txt-primary  m-r-10"></span>{{$row->facebook_url}}</div>
                                                <div class="col-md-12 col-12 m-l-10 mb-2 "><span class="f-18 fa fa-whatsapp-square txt-primary  m-r-10"></span>{{$row->phone_number}}</div>
                                                <div class="col-md-12 col-12 m-l-10 mb-2 "><span class="f-18 fa fa-envelope-square txt-primary  m-r-10"></span>{{$row->email}}</div>
                                                <div class="col-md-12 col-12 m-l-10 mb-2 "><span class="f-18 fa fa-link txt-primary  m-r-10"></span>{{$row->website_url}}</div>

                                            </div>
                                        </div>
                                        <div class="col-md-12 col-12 m-l-10 mb-2 ">
                                            <button type="button" class="btn btn-primary w-100" data-bs-toggle="modal" data-bs-target="#withdrawmodal" style="display: none;" id="withdraw_btn" data-id="{{$row->user_id}}" onclick="chnge_paid(this)">Withdraw</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@if ((!empty($data)))
@foreach ($data as $row)
<div class="modal fade" id="editPaymentAgent_{{$row->id}}" tabindex="-1" role="dialog" aria-labelledby="editPaymentAgentLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editPaymentAgentLabel">Update Payment Agent</h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            <form action="{{route('update.agents')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-2 p-r-0">
                            <img

                                @if (!empty($row->image))
                            src="{{ asset('public/storage/uploads/'.$row->image) }}"
                            @else
                            src="{{ asset('assets/dummy_img.jpg') }}"
                            @endif
                            alt="" height="200" width="175" onclick="click_file(this)" id="imagePreview">
                            <input type="file" name="image" style="margin-top: 5px" class="form-control a_img" id="fileInput" onchange="previewImage(this)">
                        </div>
                        <div class="col-md-10">
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label for="">First Name</label>
                                    <input type="hidden" name="id" value="{{$row->id}}">
                                    <input type="text" name="fname" id="" class="form-control" placeholder="First Name" value="{{$row->fname}}">
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="">Last Name</label>
                                    <input type="text" name="lname" id="" class="form-control" placeholder="Last Name" value="{{$row->lname}}">
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="">Phone Number</label>
                                    <input type="text" name="phone_number" id="" class="form-control" value="{{$row->phone_number}}">
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="">Email</label>
                                    <input type="email" name="email" id="" class="form-control" placeholder="abc@email.com" value="{{$row->email}}">
                                </div>
                                <div class="col-md-4 mb-3">
                                    <label for="">Facebook URL</label>
                                    <input type="text" name="facebook_url" id="" class="form-control" placeholder="www.facebook.com" value="{{$row->facebook_url}}">
                                </div>
                                <div class="col-md-4 mb-3">
                                    <label for="">Website URL</label>
                                    <input type="text" name="" id="website_url" class="form-control" placeholder="www.website.com" value="{{$row->website_url}}">
                                </div>
                                <div class="col-md-4 mb-3">
                                    <label for="">Rating</label>
                                    <input type="number" name="rating" class="form-control" placeholder="Rating" value="{{$row->rating}}" min="0" max="5.0" step="0.1">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
                    <button class="btn btn-primary" type="submit">Update</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endforeach
@endif
<div class="modal fade" id="createPaymentAgent" tabindex="-1" role="dialog" aria-labelledby="createPaymentAgentLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="createPaymentAgentLabel">Create Payment Agent</h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            <form action="{{route('create.agents')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-2">
                            <img src="{{ asset('assets/dummy_img.jpg') }}" class="border-1 b-light" alt="" height="200" width="180" onclick="click_file(this)">
                            <input type="file" style="display: none;" name="image" class="a_img">
                        </div>
                        <div class="col-md-10">
                            <div class="row">
                                <div class="col-md-6 mb-2">
                                    <label for="">First Name</label>
                                    <input type="text" name="fname" id="" class="form-control" placeholder="First Name" required>
                                </div>
                                <div class="col-md-6 mb-2">
                                    <label for="">Last Name</label>
                                    <input type="text" name="lnmae" class="form-control" placeholder="Last Name">
                                </div>
                                <div class="col-md-6 mb-2">
                                    <label for="">Phone Number</label>
                                    <input type="text" name="phone_number" id="" class="form-control">
                                </div>
                                <div class="col-md-6 mb-2">
                                    <label for="">Email</label>
                                    <input type="email" name="email" id="" class="form-control" placeholder="abc@email.com" required>
                                </div>
                                <div class="col-md-4 mb-2">
                                    <label for="">Facebook URL</label>
                                    <input type="text" name="facebook_url" id="" class="form-control" placeholder="www.facebook.com">
                                </div>
                                <div class="col-md-4 mb-2">
                                    <label for="">Website URL</label>
                                    <input type="text" name="website_url" id="" class="form-control" placeholder="www.website.com">
                                </div>
                                <div class="col-md-4 mb-2">
                                    <label for="">Rating</label>
                                    <input type="number" name="rating" class="form-control" placeholder="Rating" min="0" max="5.0" step="0.1">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
                    <button class="btn btn-primary" type="submit">Create</button>
                </div>
            </form>
        </div>
    </div>
</div>
@if (strtolower(Request::segment(1)) === 'client')
<div class="modal fade" id="withdrawmodal" tabindex="-1" role="dialog" aria-labelledby="withdrawmodalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="withdrawmodalLabel">Withdraw</h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            <form action="{{route('create.payment_request')}}" method="post">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12 mb-2">
                                    <label for="">Amount</label>
                                    <input type="hidden" name="user_id" value="{{ Auth::guard('client')->user()->id }}">
                                    <input type="hidden" name="payment_agent_id" id="payment_agent_id">
                                    <input type="hidden" name="request_type" value="2">
                                    <input type="number" name="amount" id="" class="form-control" min="10" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
                    <button class="btn btn-primary" type="submit">Withdraw</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endif
<script>
    var request = "{{ request('request_id') }}";
    $(document).ready(function() {
        show_withdraw_btn($('#depost_withdraw'));
    })

    function hide_payment_agent(obj) {
        if ($(obj).find('span').hasClass('fa-eye')) {
            $(obj).find('span').removeClass('fa-eye')
            $(obj).find('span').addClass('fa-eye-slash')
        } else {
            $(obj).find('span').removeClass('fa-eye-slash')
            $(obj).find('span').addClass('fa-eye')
        }
    }

    function previewImage(input) {
        var file = input.files[0];
        var reader = new FileReader();

        reader.onload = function(e) {
            document.getElementById('imagePreview').src = e.target.result;
        }

        if (file) {
            reader.readAsDataURL(file);
        }
    }

    function chnge_paid(obj) {
        var id = $(obj).data('id');
        $('#payment_agent_id').val(id);

    }

    function show_withdraw_btn(obj) {
        var val = $(obj).val();
        if (val == 2) {
            $('#withdraw_btn').show();
        } else {
            $('#withdraw_btn').hide();
        }
    }

    function click_file(obj) {
        $(obj).closest('div').find('.a_img').click();
    }
</script>
@endsection

@section('script')
<script>
    $(document).ready(function() {})

    function delete_row(id) {
        $.ajax({
            url: "{{ route('delete.agents') }}",
            type: 'POST',
            data: {
                id: id,
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(response) {
                location.reload();

            }
        });
    }

    function active_row(obj, id) {
        var active = $(obj).attr('data-show_active');
        var not_active = '';
        if (active == 1) {
            not_active = 2
        } else {
            not_active = 1
        }
        $.ajax({
            url: "{{ route('update.JSON.agents') }}",
            type: 'POST',
            data: {
                id: id,
                active: active,
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(response) {
                $(obj).attr('data-show_active', not_active);
            }
        });
    }
</script>
@endsection