@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/datatables.css') }}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/dropzone.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/select2.css')}}">
@endsection

@section('breadcrumb-title')
<h3>Profile</h3>
@endsection

@section('breadcrumb-items')
<li class="breadcrumb-item">Profile</li>
@endsection

@section('content')
@php
$showBtn = 0;
$hasLevelOne = false;
$hasLevelTwo = false;
$level = 0;
@endphp
<style>
    .select2-container .select2-selection--single {
        height: 37px !important;
        padding: 4px !important;
    }

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: 13px !important;
    }

    .select2-selection--single {
        border-color: #8e8e8e !important;
    }
</style>
<div class="container-fluid">
    <div class="edit-profile">
        <div class="row">
            <div class="col-xl-4">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title mb-0">My Profile</h4>
                        <div class="card-options"><a class="card-options-collapse" href="#" data-bs-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="#" data-bs-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                    </div>
                    <div class="card-body pt-0 pb-5">
                        <div class="row mb-2">
                            <div class="profile-title">
                                <div class="media height_width_max">
                                    <img class="img-100 rounded-circle" style="height:100%" id="profileImage" alt=""
                                        @if (!empty($user->image))
                                    src="{{ asset('public/storage/uploads/'.$user->image) }}"
                                    @else
                                    src="{{ asset('assets/dummy_person.jpg') }}"
                                    @endif

                                    >
                                    <input type="file" id="imageInput" style="display: none;">
                                    <div class="media-body">
                                        <h5 class="mb-1">{{$user->fname ." ".$user->lname}}</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6 col-md-6 p-2"><b> Name :</b></div>
                            <div class="col-6 col-md-6 p-2">{{$user->fname ." ".$user->lname}}</div>
                            <div class="col-6 col-md-6 p-2"><b> Email :</b></div>
                            <div class="col-6 col-md-6 p-2">{{$user->email}}</div>
                            <div class="col-6 col-md-6 p-2"><b> Contact Number :</b></div>
                            <div class="col-6 col-md-6 p-2">{{$user->phone_number}}</div>
                            <div class="col-6 col-md-6 p-2"><b> Country :</b></div>
                            <div class="col-6 col-md-6 p-2">{{$user->country}}</div>
                            <div class="col-6 col-md-6 p-2"><b> Address :</b></div>
                            <div class="col-6 col-md-6 p-2">{{$user->address}}</div>
                            <div class="col-6 col-md-6 p-2"><b> Registered On :</b></div>
                            <div class="col-6 col-md-6 p-2">
                                {{ optional($user->created_at)->format('j M Y g:i a') ?? 'N/A' }}
                            </div>
                            <div class="col-6 col-md-6 p-2"><b> Last Login :</b></div>
                            <div class="col-6 col-md-6 p-2">
                                {{ \Carbon\Carbon::parse($user->last_login)->format('j M Y g:i a') ?? 'N/A' }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-8">
                <form class="card"
                    @if (strtolower(Request::segment(1))==='client' )
                    action="{{ route('update.client_client') }}"
                    @else
                    action="{{ route('update.client') }}"
                    @endif
                    method="post">
                    @csrf
                    <div class="card-header">
                        <h4 class="card-title mb-0">Edit Profile</h4>
                        <div class="card-options"><a class="card-options-collapse" href="#" data-bs-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="#" data-bs-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                    </div>
                    <div class="card-body pt-0">
                        <div class="row">
                            <div class="col-sm-6 col-md-6">
                                <label class="form-label">First Name</label>
                                <input type="hidden" name="id" value="{{$user->id}}">
                                <input class="form-control" type="text" placeholder="First Name" name="fname" value="{{$user->fname}}" required>
                            </div>
                            <div class="col-sm-6 col-md-6">

                                <label class="form-label">Last Name</label>
                                <input class="form-control" type="text" placeholder="Last Name" name="lname" value="{{$user->lname}}">
                            </div>
                            <div class="col-sm-12 col-md-6">

                                <label class="form-label">Email address</label>
                                <input class="form-control" type="email" placeholder="Email" disabled value="{{$user->email}}">
                            </div>
                            <div class="col-sm-12 col-md-6">

                                <label class="form-label">Phone Number</label>
                                <input class="form-control" type="text" name="phone_number" value="{{$user->phone_number}}">
                            </div>
                            <div class="col-sm-12 col-md-6">

                                <label class="form-label">Address</label>
                                <input class="form-control" type="text" value="{{$user->address}}" placeholder="Home Address" name="address">
                            </div>
                            <!-- <div class="col-sm-4 col-md-4">
                                
                                    <label class="form-label">Date Of Birth</label>
                                    <input class="form-control" type="date">
                            </div>
                            <div class="col-sm-4 col-md-4">
                                
                                    <label class="form-label">City</label>
                                    <input class="form-control" type="text" placeholder="City">
                            </div> -->
                            <div class="col-sm-12 col-md-6">
                                <label class="form-label">Country</label>
                                <select name="country" class="js-example-basic-single">
                                    <option value="">Select Country</option>
                                    @if (!empty($countries))
                                    @foreach ($countries as $country)
                                    <option value="{{$country->entity_title}}" @if ($country->entity_title == $user->country)
                                        selected
                                        @endif
                                        >{{$country->entity_title}}</option>
                                    @endforeach
                                    @endif
                                </select>
                                <!-- <input class="form-control" type="text" placeholder="Country" name="country" value="{{$user->country}}"> -->
                            </div>
                            <div class="col-md-12">
                                <div>
                                    <label class="form-label">About Me</label>
                                    <textarea class="form-control" rows="6" placeholder="Enter About your description" name="description">{{$user->description}}</textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer text-end pt-0 pb-2">
                        <button class="btn btn-primary mb-2" type="submit">Update Profile</button>
                    </div>
                </form>
            </div>
            @if (strtolower(Request::segment(1)) === 'client')
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title mb-0">Uploaded Documents
                            @if ($pdf->IsEmpty())
                            @php
                            $showBtn = 1;
                            @endphp
                            @endif
                            @if (!empty($pdf))
                            @php
                            $sortedpdf = $pdf->sortBy('created_at');
                            @endphp
                            @foreach ($sortedpdf as $row)
                            @php
                            if ($row->level == 1) {
                            if($row->status == 9){
                            $level = 0;
                            $showBtn = 1;
                            }else{
                            $showBtn = 0;
                            }
                            if($row->status == 8){
                            $hasLevelOne = 1;
                            }
                            }else{
                            $level = 0;
                            $showBtn = 1;
                            }
                            @endphp
                            @endforeach
                            @endif
                            @if (!empty($pdf))
                            @foreach ($sortedpdf as $row)
                            @php
                            if($hasLevelOne == 1 && $hasLevelTwo != 1){
                            $level = 1;
                            $showBtn = 1;
                            if ($row->level == 2) {
                            if($row->status == 9){
                            $level = 1;
                            $showBtn = 1;
                            }else{
                            $hasLevelTwo = 1;
                            $level = 1;
                            $showBtn = 0;
                            }
                            }
                            }else{
                            $level = 0;
                            }
                            @endphp
                            @endforeach
                            @endif
                            @if (!empty($showBtn))
                            <button class="btn btn-primary f-right" data-bs-toggle="modal" data-bs-target="#upload_file"><i class="fa fa-upload"></i></button>
                            @endif
                        </h4>
                    </div>
                    <div class="table-responsive <b> add-project" style="padding: 40px;padding-top: 0px;">
                        <table class="table card-table table-vcenter text-nowrap" id="basic-1">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Document</th>
                                    <th>Level</th>
                                    <th>Status</th>
                                    <th>Uploaded On</th>
                                    <!-- <th style="width:15% !important"></th> -->
                                </tr>
                            </thead>
                            <tbody>
                                @if (!empty($pdf))
                                @php
                                $i = 0;
                                @endphp
                                @foreach ($pdf as $row)
                                <tr>
                                    <td><?= ++$i ?></td>
                                    <td>
                                        @if ($row->doc_type == 1)
                                        ID Card
                                        @elseif($row->doc_type == 2)
                                        Driving License
                                        @elseif($row->doc_type ==3)
                                        Passport
                                        @elseif($row->doc_type == 4)
                                        Utility Bills
                                        @elseif($row->doc_type == 5)
                                        Bank Statment
                                        @endif
                                        <!-- <a class="text-inherit" href="{{ url('storage/uploads/'.$row->pdf) }}" target="_blank">{{ $row->pdf }}</a> -->
                                    </td>
                                    <td><?= $row->uploaded_for ?></td>
                                    <td>
                                        <span class="badge" style="background-color: <?= $row->status_color ?>;"><?= $row->status_title ?></span>
                                    </td>
                                    <td>
                                        {{ optional($row->created_at)->format('j M Y g:i a') ?? 'N/A' }}
                                    </td>
                                    <!-- <td class="text-end" style="width:15% !important">
                                        <button class="btn btn-success btn-sm" type="button" onclick="view_doc(this)"><i class="fa fa-eye"></i></button>
                                        <button class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#var<?= $row->id ?>"><i class="fa fa-edit"></i></button>
                                        <button class="btn btn-danger btn-sm" data-bs-toggle="modal" data-bs-target="#trash<?= $row->id ?>"><i class="fa fa-trash"></i></button>
                                    </td> -->
                                </tr>
                                <div class="modal fade" id="trash<?= $row->id ?>" tabindex="-1" role="dialog" aria-labelledby="trashLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="trashLabel">Confirmation</h5>
                                                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
                                            </div>
                                            <form action="{{ route('verification.trash') }}" method="post">
                                                @csrf
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="mb-3 row">
                                                                <div class="col-sm-12">
                                                                    <p><b>Are you sure you want to delete this?</b></p>
                                                                    <input type="hidden" name="id" value="<?= $row->id ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">No</button>
                                                    <button class="btn btn-danger" type="submit">Yes</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="var<?= $row->id ?>" tabindex="-1" role="dialog" aria-labelledby="upload_fileLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="upload_fileLabel"></h5>
                                                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <div class="mb-3 row">
                                                            <label class="col-sm-3 col-form-label">Document</label>
                                                            <div class="col-sm-9">
                                                                <a class="text-inherit" href="{{ url('storage/uploads/'.$row->pdf) }}" target="_blank">{{ $row->pdf }}</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col">
                                                        <div class="mb-3 row">
                                                            <label class="col-sm-3 col-form-label">Status</label>
                                                            <div class="col-sm-9">
                                                                <span class="badge" style="background-color: <?= $row->status_color ?>;"><?= $row->status_title ?></span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col">
                                                        <div class="mb-3 row">
                                                            <label class="col-sm-3 col-form-label">Comments</label>
                                                            <div class="col-sm-9">
                                                                <p>{{ $row->comment }}</p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endforeach
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            @endif
        </div>
    </div>
</div>
<div class="modal fade" id="upload_file" tabindex="-1" role="dialog" aria-labelledby="upload_fileLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="upload_fileLabel">
                    @if ($level == 0)
                    Level 1 ID Verification
                    @elseif($level == 1)
                    Level 2 Address Verification
                    @endif
                </h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            <form action="{{ route('verification.create') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    @if ($level == 0)
                    <input type="hidden" name="uploaded_for" value="Level 1">
                    <input type="hidden" name="level" value="1">
                    <div class="row">
                        <div class="col">
                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label">Document type</label>
                                <div class="col-sm-9">
                                    <select name="doc_type" class="form-control" onchange="show_type(this)">
                                        <option value="1">ID card</option>
                                        <option value="2">Driving License</option>
                                        <option value="3">Passport</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    @elseif($level == 1)
                    <input type="hidden" name="uploaded_for" value="Level 2">
                    <input type="hidden" name="level" value="2">
                    <div class="row">
                        <div class="col">
                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label">Document type</label>
                                <div class="col-sm-9">
                                    <select name="doc_type" class="form-control" onchange="show_type(this)">
                                        <option value="4">Utility Bill</option>
                                        <option value="5">Bank Statment</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif
                    <div id="upload_file_div">
                        @if ($level == 0)
                        <div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload ID Card Front Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload ID Card Bront Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @elseif($level == 1)
                    <div class="row">
                        <div class="col">
                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label">Upload Utility Bill</label>
                                <div class="col-sm-9">
                                    <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg, .pdf">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                @endif
                <!-- <div class="row">
                        <div class="col">
                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label">Upload File</label>
                                <div class="col-sm-9">
                                    <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="">
                                </div>
                            </div>
                        </div>
                    </div> -->
        </div>
        <div class="modal-footer">
            <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
            <button class="btn btn-primary" type="submit">Upload</button>
        </div>
        </form>
    </div>
</div>
</div>
@endsection
@section('script')
<script>
    @if(strtolower(Request::segment(1)) === 'client')
    var user_id = "{{ Auth::guard('client')->user()->id }}";
    var person_name = "{{ Auth::guard('client')->user()->fname }}";
    var person_img = "{{ Auth::guard('client')->user()->image }}";
    var type = "{{ Auth::guard('client')->user()->type }}";
    @else
    var user_id = "{{ Auth::guard('admin')->user()->id }}";
    var person_name = "{{ Auth::guard('admin')->user()->fname }}";
    var person_img = "{{ Auth::guard('admin')->user()->image }}";
    var type = "{{ Auth::guard('admin')->user()->type }}";
    @endif

    $(document).ready(function() {
        $('#profileImage').on('click', function() {
            $('#imageInput').click();
        });

        $('#imageInput').on('change', function() {
            var file = this.files[0];
            if (file) {
                var reader = new FileReader();

                reader.onload = function(e) {
                    $('#profileImage').attr('src', e.target.result);
                };

                reader.readAsDataURL(file);

                var formData = new FormData();
                formData.append('image', file);
                formData.append('id', user_id);

                $.ajax({
                    url: "{{ route('update.clients') }}",
                    method: 'POST',
                    data: formData,
                    contentType: false,
                    processData: false,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        console.log('Image uploaded successfully:', response);
                    },
                    error: function(xhr, status, error) {
                        console.error('Image upload failed:', error);
                    }
                });
            }
        });
    });
    $(document).ready(function() {
        $.ajax({
            url: "{{ route('notifications.read') }}",
            type: 'GET',
            data: {
                user_id: user_id,
                type: "App\\Notifications\\UpdateVerificationFile",
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(response) {}
        });
    })

    function view_doc(obj) {
        $(obj).closest('tr').find('.a_doc')[0].click();
    }

    function show_type(obj) {
        var type = $(obj).find('option:selected').val();
        var html = '';
        if (type == 1) {
            html = `<div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload ID Card Front Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload ID Card Back Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>`
        } else if (type == 2) {
            html = `<div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload Driving License Front Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload Driving License Back Side</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>`
        } else if (type == 4) {
            html = `<div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload Utility Bill</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg, .pdf">
                                    </div>
                                </div>
                            </div>
                        </div>`
        } else if (type == 5) {
            html = `<div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload Bank Statment</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg, .pdf">
                                    </div>
                                </div>
                            </div>
                        </div>`
        } else if (type == 3) {
            html = `<div class="row">
                            <div class="col">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Upload Passport Picture</label>
                                    <div class="col-sm-9">
                                        <input class="form-control" type="file" name="file[]" data-bs-original-title="" title="" accept=".png, .jpg, .jpeg">
                                    </div>
                                </div>
                            </div>
                        </div>`
        }
        $('#upload_file_div').html(html);
    }
</script>

@endsection