@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/datatables.css') }}">
@endsection

@section('breadcrumb-title')
<h3>Support</h3>
@endsection

@section('breadcrumb-items')
<li class="breadcrumb-item">Support</li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="row widget-grid">
        <div class="col-md-3">
            <div class="card widget-1">
                <div class="card-body">
                    <div class="widget-content">
                        <div class="widget-round primary">
                            <div class="bg-round">
                                <svg class="svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#tag') }}"> </use>
                                </svg>
                                <svg class="half-circle svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#halfcircle') }}"></use>
                                </svg>
                            </div>
                        </div>
                        <div>
                            <h4>{{$all_tickets}}</h4><span class="f-light">Total Tickets</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card widget-1">
                <div class="card-body">
                    <div class="widget-content">
                        <div class="widget-round secondary">
                            <div class="bg-round">
                                <svg class="svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#return-box') }}"> </use>
                                </svg>
                                <svg class="half-circle svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#halfcircle') }}"></use>
                                </svg>
                            </div>
                        </div>
                        <div>
                            <h4>{{$high_tickets}}</h4><span class="f-light">High Level</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card widget-1">
                <div class="card-body">
                    <div class="widget-content">
                        <div class="widget-round warning">
                            <div class="bg-round">
                                <svg class="svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#rate') }}"> </use>
                                </svg>
                                <svg class="half-circle svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#halfcircle') }}"></use>
                                </svg>
                            </div>
                        </div>
                        <div>
                            <h4>{{$medium_tickets}}</h4><span class="f-light">Medium Level</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card widget-1">
                <div class="card-body">
                    <div class="widget-content">
                        <div class="widget-round info">
                            <div class="bg-round">
                                <svg class="svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#cart') }}"> </use>
                                </svg>
                                <svg class="half-circle svg-fill">
                                    <use href="{{ asset('assets/svg/icon-sprite.svg#halfcircle') }}"></use>
                                </svg>
                            </div>
                        </div>
                        <div>
                            <h4>{{$low_tickets}}</h4><span class="f-light">Low Level</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xxl-12 col-xl-12 col-md-12 col-sm-12 box-col-12">
            <div class="card height-equal">
                <div class="card-header card-no-border">
                    <div class="header-top">
                        <h5>Manage Tickets</h5>
                        <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#add_ticket"><span class="fa fa-plus"></span></button>
                    </div>
                </div>
                <div class="card-body pt-3 pb-5">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table  table-border-horizontal border-botton-dark table-hover display dataTable no-footer" id="basic-1" role="grid">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Subject</th>
                                            <th>Department</th>
                                            <th>Status</th>
                                            <th>Priority</th>
                                            <th>Created On</th>
                                            <th>Last Updated On</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $i = 0 ?>
                                        @if (!empty($tickets))
                                        @foreach ($tickets as $ticket)
                                        <tr>
                                            <td><?= ++$i ?></td>
                                            <td><?= $ticket->subject ?></td>
                                            <td>
                                                <b><?= $ticket->department ?></b>
                                            </td>
                                            <td>
                                                @if ($ticket->status == 1)
                                                <span class="badge badge-primary p-2">Open</span>
                                                @elseif($ticket->status == 2)
                                                <span class="badge badge-warning p-2">Client Replied</span>
                                                @elseif($ticket->status == 3)
                                                <span class="badge badge-warning p-2">Awaiting Reply</span>
                                                @elseif($ticket->status == 4)
                                                <span class="badge badge-danger p-2">Close</span>
                                                @elseif($ticket->status == 5)
                                                <span class="badge badge-primary p-2">Open</span>
                                                @endif
                                            </td>
                                            <td>
                                                <span class="badge 
                                                @if ($ticket->priority == 'High')
                                                badge-danger
                                                @elseif($ticket->priority == 'Medium')
                                                badge-warning
                                                @elseif($ticket->priority == 'Low')
                                                badge-primary
                                                @endif
                                                m-l-10">
                                                    <?= $ticket->priority ?>
                                                </span>
                                            </td>
                                            <td>{{ optional($ticket->created_at)->format('j M Y g:i a') ?? 'N/A' }}</td>
                                            <td>{{ optional($ticket->updated_at)->format('j M Y g:i a') ?? 'N/A' }}</td>
                                            <td style="text-align:right;">
                                                <span style="display:flex">
                                                    <a href="{{ route('client.ticket_details',['id' => $ticket->id ]) }}" class="btn btn-square btn-primary "><span class="fa fa-eye"></span></a>
                                                </span>
                                            </td>
                                        </tr>
                                        @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="add_ticket" tabindex="-1" role="dialog" aria-labelledby="add_ticketLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="add_ticketLabel">Open Ticket</h5>
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close" data-bs-original-title="" title=""></button>
            </div>
            <form action="{{ route('create.ticket') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <label>Subject</label>
                            <input type="text" name="subject" class="form-control" placeholder="Subject.." required>
                        </div>
                        <div class="col-md-6 mb-2">
                            <label>Department</label>
                            <select name="department" class="form-control">
                                <option value="Account">Account</option>
                                <option value="Withdraw">Withdraw</option>
                                <option value="Deposit">Deposit</option>
                                <option value="Partner / IB">Partner / IB</option>
                                <option value="Technical Support">Technical Support</option>
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <label>Priority</label>
                            <select name="priority" class="form-control">
                                <option value="High">High</option>
                                <option value="Medium">Medium</option>
                                <option value="Low">Low</option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-2">
                            <label>Description</label>
                            <textarea name="message" required class="form-control"></textarea>
                        </div>
                        <div class="col-md-12 mb-2">
                            <label>Attachment</label>
                            <input type="file" id="attachment" class="form-control" name="attachment" accept=".png, .jpg, .jpeg, .pdf">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Close</button>
                    <button class="btn btn-primary" type="submit">Create</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script type="text/javascript">
    var session_layout = '{{ session()->get('
    layout ') }}';
</script>
@endsection
@section('script')
<script src="{{ asset('assets/js/datatable/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/js/datatable/datatables/datatable.custom.js') }}"></script>
<script>
    @if(strtolower(Request::segment(1)) === 'client')
    var user_id = "{{ Auth::guard('client')->user()->id }}";
    var person_name = "{{ Auth::guard('client')->user()->fname }}";
    var person_img = "{{ Auth::guard('client')->user()->image }}";
    var role = "{{ Auth::guard('client')->user()->role }}";
    @else
    var user_id = "{{ Auth::guard('admin')->user()->id }}";
    var person_name = "{{ Auth::guard('admin')->user()->fname }}";
    var person_img = "{{ Auth::guard('admin')->user()->image }}";
    var role = "{{ Auth::guard('admin')->user()->role }}";
    if (role == 3) {
        user_id = 1
    }
    @endif
    $(document).ready(function() {

        $.ajax({
            url: "{{ route('notifications.read') }}",
            type: 'GET',
            data: {
                user_id: user_id,
                type: "App\\Notifications\\NewTicketNotification",
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(response) {}
        });
    });
</script>
@endsection