@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
@endsection

@section('breadcrumb-title')
    <h3>Deposit</h3>
@endsection

@section('breadcrumb-items')
    <li class="breadcrumb-item">Deposit</li>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body p-4">
                        <div class="row">
                            <div class="col-md-12">
                                <label for=""><b>Account Type: </b></label><br>
                                <input type="radio" name="" id="" checked>
                                <label for="">Wallet</label>
                            </div>
                            <div class="col-md-12">
                                <label for=""><b>Wallet Number</b></label>
                                <select name="" id="" class="form-control" disabled>
                                    <option value="">USD1009 &nbsp;&nbsp; Wallet &nbsp;&nbsp; USD</option>
                                    <option value="">USD103 &nbsp;&nbsp; Wallet &nbsp;&nbsp; USD</option>
                                    <option value="">USD802 &nbsp;&nbsp; Wallet &nbsp;&nbsp; USD</option>
                                </select>
                            </div>
                            @if (!empty($payment_gateways))
                                @foreach ($payment_gateways as $payment_gateway)
                                    @if ($payment_gateway->entity_title == 'Payoneer' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/payoneer.png') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Payeer' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/trans1.jpg') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Perfect Money' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/perfectmoney.png') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal('perfect_money')">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Skrill' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/skrill.png') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Neteller' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/neteller.png') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Card' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/credit-card.jfif') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                    @if ($payment_gateway->entity_title == 'Crypto' && empty($payment_gateway->entity_description))
                                        <div class="col-md-3 col-6 mt-3">
                                            <img src="{{ asset('assets/crypto-payments.png') }}" class="mt-3 banner-mb"
                                                alt="" height="110" width="180"
                                                style="border:2px solid #ced4da" onclick="show_modal()">
                                        </div>
                                    @endif
                                @endforeach
                            @endif
                            <div class="col-md-3 col-6 p-t-15 mt-3">
                                <a href="{{ route('client_payment_agents') }}" class="btn btn-primary pt-0"
                                    style="padding-right: 22px;">
                                    <h1>Payment Agents</h1>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3 history">
                <div class="card">
                    <div class="card-body" style="height: 60rem;">
                        <h3 class="his_heading">History</h3>
                        <button class="btn btn-primary btn-sm history_btn" style="margin-top: 40%;">History</button>
                        <p style="text-align: center;margin-top: 100%;">No Deposit History Found</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="add_amount" tabindex="-1" role="dialog" aria-labelledby="add_newLabel" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="add_newLabel">Enter Amount</h5>
                    <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"
                        data-bs-original-title="" title=""></button>
                </div>

            </div>
        </div>
    </div>

    <script type="text/javascript">
        var session_layout = '{{ session()->get('
            layout ') }}';
    </script>
    <script>
        function show_modal(condition = '') {
            $('#add_amount').modal('show');
            $('#add_amount').find('.modal-body').remove();
            $('#add_amount').find('.modal-footer').remove();
            var html = `<div class="modal-body">
                <div class="row">
                    <div class="col-md-12 mb-2">
                        <label for="">Amount</label>
                        <input type="number" name="" id="" class="form-control">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Deposit Now</button>
                <button class="btn btn-danger" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Cancel</button>
            </div>`;
            if (condition == 'perfect_money') {


                html = `
            <form action="https://perfectmoney.com/api/step1.asp" id="perfectmoney_from" method="POST">
                <input type="hidden" name="PAYEE_ACCOUNT" value="{{ env('PM_ACCOUNTID') }}">
                <input type="hidden" name="PAYEE_NAME" value="{{ env('PM_COMPANY_NAME') }}">
                <input type="hidden" name="PAYMENT_ID" class="paymentid" value="">
                <input type="hidden" name="PAYMENT_UNITS" value="{{ env('PM_UNITS') }}">
                <input type="hidden" name="STATUS_URL" value="">
                <input type="hidden" name="PAYMENT_URL" value="http://127.0.0.1:8000{{ env('PM_PAYMENT_URL') }}">
                <input type="hidden" name="PAYMENT_URL_METHOD" value="GET">
                <input type="hidden" name="NOPAYMENT_URL" value="http://127.0.0.1:8000{{ env('PM_NOPAYMENT_URL') }}">
                <input type="hidden" name="NOPAYMENT_URL_METHOD" value="GET">
                <input type="hidden" name="SUGGESTED_MEMO" value="">
                <input type="hidden" name="BAGGAGE_FIELDS" value="">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <label for="">Amount</label>
                            <input type="number" name="PAYMENT_AMOUNT" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="button" onclick="depositPMRequst();">Deposit Now</button>
                    <button class="btn btn-danger" type="button" data-bs-dismiss="modal" data-bs-original-title="" title="">Cancel</button>
                </div>
            </form>
            `;
            }
            $('#add_amount').find('.modal-content').append(html);

        }

        function depositPMRequst() {
            $.ajax({
                type: "POST",
                url: "{{ route('pm_request') }}",
                async: false,
                data: $('#perfectmoney_from').serialize(), // Corrected 'searilize' to 'serialize'
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Adding CSRF token
                },
                success: function(response) {
                    if(response.status){
                        $('#perfectmoney_from').find('.paymentid').val(response.payment_request_id);
                        $('#perfectmoney_from').submit();
                    }
                },
                error: function(xhr, status, error) {
                    alert(error)
                }
            });

        }
        
    </script>
@endsection

@section('script')
    <script src="{{ asset('assets/js/chart/apex-chart/moment.min.js') }}"></script>
    <script src="{{ asset('assets/js/notify/bootstrap-notify.min.js') }}"></script>
    <script src="{{ asset('assets/js/dashboard/default.js') }}"></script>
    <script src="{{ asset('assets/js/notify/index.js') }}"></script>
    <script src="{{ asset('assets/js/typeahead/handlebars.js') }}"></script>
    <script src="{{ asset('assets/js/typeahead/typeahead.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/typeahead/typeahead.custom.js') }}"></script>
    <script src="{{ asset('assets/js/typeahead-search/handlebars.js') }}"></script>
    <script src="{{ asset('assets/js/typeahead-search/typeahead-custom.js') }}"></script>
    <script src="{{ asset('assets/js/height-equal.js') }}"></script>
    <script src="{{ asset('assets/js/animation/wow/wow.min.js') }}"></script>
@endsection
